import extractFonts from "../lib/index.js";
import fs from "fs";

(async () => {
  const fonts = await extractFonts({
    url: "https://pdfobject.com/pdf/sample.pdf",
  });
  Object.entries(fonts).forEach(([name, data]) => {
    fs.writeFileSync(`./examples/${name}.otf`, Buffer.from(data));
  });
})();
